import '../data/api_response.dart';

import 'base_service.dart';
import '../models/login_model.dart';

class LoginService extends BaseService {
  final endPoint = "/v1/iniciar-sesion";

  Future<ApiResponse> logIn(String correo, String password) async {
    final login = Login(correo: correo, password: password);
    var response = await post(endPoint,
        withAuth: false,
        body: login.toJson(),
        headers: {'Content-Type': 'application/json'});
    return ApiResponse(response);
  }
}
